Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChangeImportedContacts

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.ImportedContacts>
it.tdlight.jni.TdApi.ChangeImportedContacts

Enclosing class:
  TdApi

public static final class TdApi.ChangeImportedContacts extends TdApi.Function<TdApi.ImportedContacts>
Changes imported contacts using the list of contacts saved on the device. Imports newly added contacts and, if at least the file database is enabled, deletes recently deleted contacts. Query result depends on the result of the previous query, so only one query is possible at the same time.

Returns `ImportedContacts`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.Contact[]`
`contacts`
The new list of contacts, contact's vCard are ignored and are not imported.

## Constructor Summary

Constructors
Constructor
Description
`ChangeImportedContacts()`
Changes imported contacts using the list of contacts saved on the device.
`ChangeImportedContacts(TdApi.Contact[] contacts)`
Changes imported contacts using the list of contacts saved on the device.
`ChangeImportedContacts(DataInput input)`
Changes imported contacts using the list of contacts saved on the device.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### contacts

public TdApi.Contact[] contacts
The new list of contacts, contact's vCard are ignored and are not imported.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ChangeImportedContacts

public ChangeImportedContacts()
Changes imported contacts using the list of contacts saved on the device. Imports newly added contacts and, if at least the file database is enabled, deletes recently deleted contacts. Query result depends on the result of the previous query, so only one query is possible at the same time.

Returns `ImportedContacts`

### ChangeImportedContacts

public ChangeImportedContacts(TdApi.Contact[] contacts)
Changes imported contacts using the list of contacts saved on the device. Imports newly added contacts and, if at least the file database is enabled, deletes recently deleted contacts. Query result depends on the result of the previous query, so only one query is possible at the same time.

Returns `ImportedContacts`

Parameters:
  `contacts` - Contact[] The new list of contacts, contact's vCard are ignored and are not imported.

### ChangeImportedContacts

public ChangeImportedContacts(DataInput input) throws IOException
Changes imported contacts using the list of contacts saved on the device. Imports newly added contacts and, if at least the file database is enabled, deletes recently deleted contacts. Query result depends on the result of the previous query, so only one query is possible at the same time.

Returns `ImportedContacts`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`